RE: Some components are INVALID after database upgrade.

I think that I need to follow Note: 222630.1 for Spatial Upgrade, it is
because I used Manual Upgrade procedure.

Kind regards,

Francisco Mtz.


> Hi Aldrin,
>
> Thank you very much for your comment.
>
> For RAC component, I can just ignored, but my concern are for Spatial and
> Intermedia.
>
> Well, I just executed next scripts during upgrade:
>
> $ORACLE_HOME/rdbms/admin/u0801070.sql
> $ORACLE_HOME/rdbms/admin/cmpdbmig.sql (Left Spatial and Intermedia as
> LOADED)
> $ORACLE_HOME/rdbms/admin/catpatch.sql (Left Spatial and Intermedia as
> INVALID).
>
> According to Note:216550.1 it isn't needed to execute catpatch.sql script,
> but I just ran it to see if they get valid.
>
> I don't know why Oracle Spatial is display as DEVELOPMENT, it is an
> Enterprise Edition database.
>
> Thanks in advance.
>
> Kind regards,
>
> Francisco Mtz.
>
>
>
>
>> Fransico,
>>
>> The RAC component gets invalid, due to the existence of a v$ping view,
>> the suggested approach is the drop the view and then proceed with the
>> upgrade or just ignore the component being invalid after the upgrade. I
>> used both options before, however I prefer the latter.
>>
>> Steps
>> 01. Restore the database back to 8.1.7
>> 02. Remove v$ping from the 8.1.7 database
>> 03. Upgrade to 10.2.0 again
>>
>> This is also documented in...
>>
>> Note:312071.1 RAC Option Invalid After Migration
>>
>> I can't comment on the others Spatial or Intermdia, it seems to me that
>> the component didn't get upgraded...
>>
>> Thanks,
>> Aldrin
>>
>>
>> -----Original Message-----
>> From: ora-apps-dba-bounce@xxxxxxxxxxxxx
>> [mailto:ora-apps-dba-bounce@xxxxxxxxxxxxx] On Behalf Of
>> francisco.martinez@xxxxxxxxxxxxxx
>> Sent: Thursday, April 19, 2007 9:55 AM
>> To: ora-apps-dba@xxxxxxxxxxxxx
>> Subject: Some components are INVALID after database upgrade.
>>
>> Hi partners,
>>
>> I am almost finishing with Note: 216550.1 "Interoperability Notes Oracle
>> Applications Release 11i with Oracle9i Release 2 (9.2.0)" steps to
>> accomplish an upgrade from 8.1.7.4 to 9.2.0.8, but after executing
>> $ORACLE_HOME/rdbms/admin/u0801070.sql script some components are
>> invalid.
>>
>> COMP_NAME                                     VERSION
>>
>>   STATUS
>> ---------------------------------------------
>> ------------------------------ -----------
>> Oracle9i Catalog Views                        9.2.0.8.0
>>
>>   VALID
>> Oracle9i Packages and Types                   9.2.0.8.0
>>
>>   VALID
>> JServer JAVA Virtual Machine                  9.2.0.8.0
>>
>>   VALID
>> Oracle9i Java Packages                        9.2.0.8.0
>>
>>   VALID
>> Oracle XDK for Java                           9.2.0.10.0
>>
>>   VALID
>> Oracle Text                                   9.2.0.8.0
>>
>>   VALID
>> Oracle9i Real Application Clusters            9.2.0.8.0
>>
>>   INVALID
>> Oracle Spatial                                8.1.6.0.0 DEVELOPMENT
>>
>>   INVALID
>> Oracle interMedia                             8.1.6.0.0
>>
>>   INVALID
>> Oracle OLAP API                               9.2.0.8.0
>>
>>   UPGRADED
>> OLAP Catalog                                  9.2.0.8.0
>>
>>   VALID
>>
>> What can I do to validate them?
>>
>> Thanks in advance.
>>
>> Kind regards,
>>
>> Francisco Mtz.
>>
>>
>>
>>
>> This email contains confidential information that is proprietary to
>> EPCOR
>> and its subsidiary companies in all respects.  This information is
>> intended only for the person(s) named in the destination address.
>> Unauthorized distribution, copying or disclosure is strictly prohibited.
>> If you receive this e-mail in error please delete it immediately.
>>
>
>
>



Other related posts: